Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.builder
Class MTOMBuilder

    java.lang.Object
      org.apache.axis2.builder.MTOMBuilder

All Implemented Interfaces:
  Builder

    public class MTOMBuilder

extends java.lang.Object
implements Builder

Constructor Summary
`MTOMBuilder()`

Method Summary
`org.apache.axiom.om.OMElement` | `processDocument(java.io.InputStream inputStream, java.lang.String contentType, MessageContext messageContext)` Process a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MTOMBuilder

    public MTOMBuilder()

Method Detail

### processDocument

    public org.apache.axiom.om.OMElement processDocument(java.io.InputStream inputStream,
                                                         java.lang.String contentType,
                                                         MessageContext messageContext)
                                                  throws AxisFault

  Description copied from interface: `Builder`
  Process a message.

  The raw content of the message is provided as an input stream. It is the responsibility of the caller (typically a transport implementation) to close the stream after the message has been processed (more precisely after the SOAP infoset returned by this method is no longer used). This implies that implementations are not required to consume the input stream during the execution of this method. This enables deferred parsing of the message.

  Specified by:
    `processDocument` in interface `Builder`
  Parameters:
    `inputStream` - the byte stream with the raw payload
  Returns:
    The SOAP infoset for the given message.
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.